Please Respond to what i said !!! :(
Closed, ResolvedPublic

Description

Lv50 Lantern monster There are many clones and they can't be killed
Lv45 Pegasus Rock Golem is really really hard to fight! I want to change back!!!!

zu created this task.Apr 18 2021, 10:07 AM
zu added a comment.Apr 23 2021, 4:36 AM

Heyyyyyyyyy!!!! Please respond to me 😭 😡😡😡😡😡😡

Rattletrap closed this task as Resolved.May 27 2021, 12:46 AM
Rattletrap added a subscriber: Rattletrap.

Earlier comments have been responded to.